<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    android:id="@+id/message_red_packet"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/red_packet_main"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#f7a141">

        <ImageView
            android:id="@+id/packte_im"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:src="@drawable/im_message_red_packet" />

        <TextView
            android:id="@+id/packet_title"
            android:layout_width="160dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_toRightOf="@+id/packte_im"
            android:paddingRight="10dp"
            android:text="一点心意，请笑纳!"
            android:textColor="#ffffff"
            android:textSize="14sp" />

        <TextView

            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/packet_title"
            android:layout_marginTop="10dp"
            android:layout_toRightOf="@+id/packte_im"
            android:text="查看红包"
            android:textColor="#ffffff"
            android:textSize="12sp" />

    </RelativeLayout>

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_toRightOf="@+id/red_packet_main"
        android:src="@drawable/im_troangle_orange" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textSize="11sp"
        android:textColor="#999999"
        android:layout_alignRight="@+id/red_packet_main"
        android:layout_below="@+id/red_packet_main"
        android:background="#ffffff"
        android:padding="5dp"
        android:paddingLeft="10dp"
        android:text="感恩红包" />
</RelativeLayout>
